#include "codeword.h"
#include <ostream>
#include <istream>

bool Codeword::readFrom(std::istream & in) {
	return in.read( reinterpret_cast<char*>(&_label), sizeof(_label)) 
		&& Vector::readFrom(in);
}

bool Codeword::writeTo(std::ostream & out) const {
	return out.write( reinterpret_cast<const char*>(&_label), sizeof(_label)) 
		&& Vector::writeTo(out);
}

std::ostream & operator<<(std::ostream & out, const Codeword & obj ) {
	return out << static_cast<const Vector &>(obj) << " : " << obj.label();
}
