#include "lvq.h"
#include "SOM.h"


VQ LVQ::create( const Codebook & training_data, unsigned int som_rows, unsigned int som_cols, ProgressCallback * p_cb) {
	SOM som(som_rows, som_cols, p_cb);
	som.train(training_data, training_data.size()*100);
	
	LVQ lvq( som.tag_and_purge(training_data), p_cb);
	lvq.train_vq(training_data, 10000);
	
	return VQ(lvq);
}
