#include <iostream>
#include <iomanip>
#include "codebook.h"

using namespace std;

const unsigned int COMPONENTS = 10;

int main() {

	Codebook cb1, cb2;

	Vector vec[10];

	for ( int j = 0; j < 10; j++) {
		vec[j] = Vector(COMPONENTS);
		for ( int i = 0; i < vec[j].size(); i++) {
			vec[j][i] = j*i;
		}
	}

	cb1.addCodeword(vec[0], "NORMAL");
	cb1.addCodeword(vec[1], "NORMAL");
	cb1.addCodeword(vec[2], "MULTIPLY");
	cb1.addCodeword(vec[3], "NORMAL");
	cb1.addCodeword(vec[4], "MULTIPLY");
	cb1.addCodeword(vec[5], "NORMAL");
	cb1.addCodeword(vec[6], "SQUARE");
	cb1.addCodeword(vec[7], "SQUARE");
	cb1.addCodeword(vec[8], "NORMAL");
	cb1.addCodeword(vec[9], "NORMAL");



	//cout << cb1 << endl;

	saveCodebook( "test.cb", cb1 );
	cb2 = loadCodebook( "test.cb" );

	//cout << cb2 << endl;

}

