#include "vector.h"
#include <iostream>

using namespace std;

#define _stringify(x) # x
#define stringify(x) _stringify(x)

#define print(x) cout << stringify(x)": " << (x) << endl


const unsigned int COMPONENTS = 5;

int main() {

	Vector vec1, vec2(COMPONENTS, 1);

	
	print(vec1);
	print(vec2);

	vec1 = Vector(COMPONENTS, 2);

	print(vec1);
	
	for (int i = 0; i < COMPONENTS; i++) {
		vec2[i] = i;
		vec1[i] = 2*i+1;
	}
 
	print(vec1);
	print(vec2);

	print(dot(vec1, vec2));
	print(d_2(vec1, vec2));
	print(d_inf(vec1, vec2));

	print(d_euclide(vec1, vec2));

	print(vec1 - vec2);
	print(vec1 + vec2);

	Vector::ElemType temp;
	print(vec2.norm_1());

	
	print(vec2.norm_2(&temp));
	cout << "Sum squared: " << temp << endl;

	print(vec2.norm_inf());
}
