#pragma once

#include <openssl/bn.h>
#include "types.h"

#ifdef __cplusplus
extern "C" {
#endif

void mod_exp( BIGNUM *ret, const BIGNUM *base, const BIGNUM *exponent, 
		const BIGNUM *mod , raw_t *raw_data);
void rsa_decrypt( BIGNUM *plaintext, const BIGNUM *ciphertext, 
		const BIGNUM *n, const BIGNUM *d , raw_t *raw_data);

#ifdef __cplusplus
}; 
#endif
