#include "log.h"
#include <algorithm>

static int s_loglevel = (int)LOGLEVEL::INFO;

void incLogLevel() {
    s_loglevel = std::min<int>( s_loglevel +1, (int) LOGLEVEL::DEBUG);
}

void setLogLevel(LOGLEVEL loglevel){
	s_loglevel = (int)loglevel;
}
LOGLEVEL getLogLevel() {
	return (LOGLEVEL) s_loglevel;
}
	
