#pragma once
#include "exportrules.h"

void SSTD_API raw_save(const char * filename, const void * data, unsigned int bitDepth, unsigned int width, unsigned int height );

/** 
 * @filename: 	Name of file to be read.
 * @data:		Outfield: Pointer to writable rawdata, of primitive size bitdepth. If data is nullptr, no data is written, but bitdepth, width and height are still set.
 * @bitDepth:	Outfield: Will hold the bit-depth of each datapoint.
 * @width:	Outfield: Will hold the width the data-array.
 * @height:	Outfield: Will hold the height the data-array.
**/
void SSTD_API raw_load(const char * filename, void * data, unsigned int &bitDepth, unsigned int &width, unsigned int &height );
