
echo "Removing old keys"
rm -f keys

echo "Starting crypto process"
taskset -c 3 ./crypto/simple-rsa &
CRYPTOPID=$!

echo "Waiting for new keys"
while [ ! -e "keys" ]; do
	sleep 1
done

sleep 1

echo "Starting spy"
taskset -c 3 spy challenge 200000 

kill $CRYPTOPID

echo "Finished monitoring, transferring data."
scp keys challenge.raw stieri01@trd-login3:~/measurements/

echo Done

