#pragma once

#include <openssl/bn.h>

#ifdef __cplusplus
extern "C" {
#endif

void mod_exp( BIGNUM *ret, const BIGNUM *base, const BIGNUM *exponent, const BIGNUM *mod );
void rsa_decrypt( BIGNUM *plaintext, const BIGNUM *ciphertext, const BIGNUM *n, const BIGNUM *d );
void rsa_encrypt( BIGNUM *ciphertext, const BIGNUM *plaintext, const BIGNUM *n );

#ifdef __cplusplus
}; 
#endif
