#include "train_loop.h"
#include <string.h>

#define RESET_SAMPLES 25

extern void spy_loop_abs( raw_t * raw_timings, unsigned long N);

static raw_t   resetbuffer[RESET_SAMPLES*(CACHE_SETS)];

void run_loop(const char * msg, const int SAMPLES, raw_t * data ) {
	const int msglen = strlen(msg);
	
	for (int i = 0; i < SAMPLES; i++ ) {
		char bit = msg[ i % msglen];		

		// Reset ownership
		spy_loop_abs( resetbuffer, RESET_SAMPLES );
		
		if ( bit == '1' ) transmit1();
		else if (bit == '0' ) transmit0();
		
		spy_loop_abs( data + i*(CACHE_SETS), 1 );
	}
}
