#!/sbin/bash
mkdir -p measurements

if [ ! -f keys ];
then
echo Generating keys
mkdir keys
for N in 0{0..9} {10..99}
do
	./rsa-keygen keys/key$N
done
	./rsa-keygen keys/challenge
fi

echo Training Measurements
for N in 0{0..9} {10..99}
do
	time taskset -c 3 ./rsa-sync keys/key$N measurements/case$N
done

echo Challenge
time taskset -c 3 ./rsa-sync keys/challenge measurements/challenge

echo Done
