INIT=~/measurements/init.raw:init
MUL=~/measurements/mod_mul.raw:mod_mul
SQR=~/measurements/mod_sqr.raw:mod_sqr
CHALLENGE=~/measurements/challenge.raw


if [ ! -e vq.cb ] 
then

tag -ivvv --reduce $INIT $MUL $SQR -o combined.cb

tag -ivvv --reduce=combined.cb.comp $INIT -o init-red.cb
tag -ivvv --reduce=combined.cb.comp $MUL -o mod_mul-red.cb
tag -ivvv --reduce=combined.cb.comp $SQR -o mod_sqr-red.cb

tag -ivvv -Tvq.cb --som-nodes=81 --training-rounds=50 -c combined.cb -o combined.cb


classify vq.cb init-red.cb mod_mul-red.cb mod_sqr-red.cb

fi

cp ~/measurements/parameters ./
cp ~/measurements/keys ./
cp $CHALLENGE ./

tag -ivvv --reduce=combined.cb.comp challenge.raw:unknown -o challenge-red.cb

classify -f parameters -r combined.cb.comp vq.cb challenge.raw

