#pragma once


// T, class representing partial data.
// COMBINER function/functor

template<class T, class COMBINER, class COMPARATOR>
auto make_partial_combiner(COMBINER combiner, COMPARATOR comparator) { 
	return PartialCombiner<T, COMBINER, COMPARATOR>(combiner, comparator);
}

template<class T, class COMBINER, class COMPARATOR>
class PartialCombiner
   COMBINER combine;
   COMPARATOR compare;

   std::vector<T> indata;

   T* sub_solution = nullptr;
   size_t rows, cols;   

   inline T& at(size_t row, size_t col) { return sub_solution[row*cols + col] };

public:
	PartialCombiner(COMBINER combiner, COMPARATOR comparator) : combine(combiner), compare(comparator) {}

    T combine() {
		if (sub_solution) { delete [] sub_solution; sub_solution = nullptr; }

		rows = indata.size();
		cols = rows;
		sub_solution = new T[rows*cols];

		for (int i = 0; i < 
